summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'games-fps/quake1-demodata')
-rw-r--r--games-fps/quake1-demodata/Manifest1
-rw-r--r--games-fps/quake1-demodata/metadata.xml5
-rw-r--r--games-fps/quake1-demodata/quake1-demodata-1.06.ebuild81
3 files changed, 87 insertions, 0 deletions
diff --git a/games-fps/quake1-demodata/Manifest b/games-fps/quake1-demodata/Manifest
new file mode 100644
index 000000000000..c2706c0d80ed
--- /dev/null
+++ b/games-fps/quake1-demodata/Manifest
@@ -0,0 +1 @@
+DIST quake106.zip 9094045 SHA256 ec6c9d34b1ae0252ac0066045b6611a7919c2a0d78a3a66d9387a8f597553239 SHA512 8960c48d9c3c8bb142fd812968d29f05304384bd559b5cdb1d2cb8b6faac84d30ebf9cdf5e5e4eb3739907d9b599ca2ba34035647c58a8ed1874bdc7f0b75e1d WHIRLPOOL ff39f8931b6e551761c75f2552e568e0d3e71a8926cc43479323e2cb2ca7773f049a34f6628a8e42739f6a5fa0f64053bef1ac63ade761d549ab6b1b78f8954e
diff --git a/games-fps/quake1-demodata/metadata.xml b/games-fps/quake1-demodata/metadata.xml
new file mode 100644
index 000000000000..d3c2cc926f0b
--- /dev/null
+++ b/games-fps/quake1-demodata/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>games</herd>
+</pkgmetadata>
diff --git a/games-fps/quake1-demodata/quake1-demodata-1.06.ebuild b/games-fps/quake1-demodata/quake1-demodata-1.06.ebuild
new file mode 100644
index 000000000000..252fec1b28f8
--- /dev/null
+++ b/games-fps/quake1-demodata/quake1-demodata-1.06.ebuild
@@ -0,0 +1,81 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+EAPI=5
+inherit eutils versionator games
+
+MY_PV=$(delete_all_version_separators)
+MY_PN="quake"
+
+DESCRIPTION="Demo data for Quake 1"
+HOMEPAGE="http://en.wikipedia.org/wiki/Quake_I"
+SRC_URI="mirror://idsoftware/${MY_PN}/${MY_PN}${MY_PV}.zip"
+
+# See licinfo.txt
+LICENSE="quake1-demodata"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE="symlink"
+
+RDEPEND=""
+DEPEND="app-arch/lha
+ app-arch/unzip"
+
+S=${WORKDIR}
+dir=${GAMES_DATADIR}/${MY_PN}1
+
+pkg_setup() {
+ games_pkg_setup
+
+ if has_version "games-fps/quake1-data" ; then
+ ewarn "games-fps/quake1-data already includes the demo data,"
+ ewarn "so this installation is not very useful."
+ echo
+ if use symlink ; then
+ eerror "The symlink for the demo data conflicts with the cdinstall data"
+ die "Remove the 'symlink' USE flag for this package"
+ fi
+ ebeep
+ epause
+ fi
+}
+
+src_unpack() {
+ unpack ${A}
+
+ # File rename for bug #159100
+ mv resource.{1,x}
+
+ lha xfq resource.x || die "lha failed"
+ # Don't want to conflict with the cdinstall files
+ mv id1 demo
+}
+
+src_install() {
+ insinto "${dir}"
+ doins -r demo
+
+ dodoc *.txt
+
+ if use symlink ; then
+ # Make the demo the default, so that people can just run it,
+ # without having to mess with command-line options.
+ cd "${D}/${dir}" && ln -sfn demo id1
+ fi
+
+ prepgamesdirs
+}
+
+pkg_postinst() {
+ games_pkg_postinst
+
+ elog "This is just the demo data."
+ elog "You will still need a Quake 1 client, to play, such as darkplaces."
+ echo
+
+ if use symlink ; then
+ elog "id1 has been symlinked to demo, for convenience, within:"
+ elog "${dir}"
+ echo
+ fi
+}